@import "~@project-sunbird/sb-styles/assets/mixins/mixins";

::ng-deep :root {
  --cc-members-list-item-selected: var(--sbt-body-bg);
  --cc-members-list-item-selected-border: var(--sbt-body-bg2);
  --cc-members-list-item-menu-text: var(--gray-200);
  --cc-members-list-item-status-text: var(--secondary-200);
  --cc-members-list-item-status-br: var(--secondary-200);
  --cc-members-list-item-status-bg: var(--white);
}

::ng-deep {

  html {
    scroll-behavior: smooth;
  }  
  //member list css //
  .sb-members-list-item {
    display: flex;
    align-items: center;
    border: calculateRem(1px) solid transparent;
    background: var(--white);
    position: relative;

    &:hover,
    &.selectElement {
      // background-color: var(--cc-members-list-item-selected);
      border: calculateRem(1px) solid var(--cc-members-list-item-selected-border);
      cursor: pointer;
    }

    .menu::after {
      content: '\2807';
      font-size: calculateRem(24px);
      color: var(--cc-members-list-item-menu-text);
      text-align: center;
      align-items: center;
      display: flex;
      justify-content: center;
      border-radius: 50%;
      padding-left: calculateRem(4px);

      html[dir='rtl'] & {
        padding-right: calculateRem(4px);
        padding-left: calculateRem(0px);
      }

      padding-top: calculateRem(2px);
      cursor: pointer;
    }

    .menu:hover::after {
      background: var(--gray-0);
    }

    .status {
      border: calculateRem(1px) solid var(--cc-members-list-item-status-br);
      border-radius: calculateRem(2px);
      font-size: calculateRem(11px);
      color: var(--cc-members-list-item-status-text);
      background-color: var(--cc-members-list-item-status-bg);
      padding: calculateRem(4px) calculateRem(8px);
    }

    /* member css */
    .sb-member {
      display: flex;
      align-items: center;
      padding: calculateRem(8px);

      // font weight bold and normal
      &__name {
        font-weight: normal;
        cursor: pointer;
      }

      // avatar first letter
      &__img {
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 50%;
        background-color: var(--white);
        box-shadow: 0 0 0.375rem 0 rgba(var(--rc-rgba-black), 0.1);
        font-weight: bold;
        text-transform: uppercase;
        padding-top: calculateRem(2px);
      }
    }

    &--bold {
      .sb-member__name {
        font-weight: bold;
      }
    }

    &--horizontal {
      .sb-member {
        flex-direction: row;
        flex: 1;

        .sb-member__name {
          margin: 0 0 0 calculateRem(8px);
          flex: 1;

          html[dir='rtl'] & {
            margin: 0 calculateRem(8px) 0 0;
          }
        }
      }
    }

    &--vertical {

      .sb-member {
        flex-direction: column;

        .sb-member__name {
          margin: calculateRem(8px) 0 0 0;
          text-align: center;
          width: calculateRem(90px);
          word-break: break-word;

          &.ml-8 {
            margin-left: 0px !important;
          }
        }
      }
    }

    &--small {
      .sb-member__img {
        width: calculateRem(32px);
        height: calculateRem(32px);
        font-size: calculateRem(20px);
      }

      .sb-member__name {
        font-size: calculateRem(14px);
      }

      .selected img {
        width: calculateRem(20px);
        border-radius: 50%;
      }

      .menu::after {
        font-size: calculateRem(16px);
        width: calculateRem(32px);
        height: calculateRem(32px);
      }
    }

    &--medium {
      .sb-member__img {
        width: calculateRem(48px);
        height: calculateRem(48px);
        font-size: calculateRem(34px);
      }

      .sb-member__name {
        font-size: calculateRem(16px);
      }

      .selected img {
        width: calculateRem(24px);
      }

      .menu::after {
        font-size: calculateRem(24px);
        width: calculateRem(40px);
        height: calculateRem(40px);
      }
    }

    &--large {
      .sb-member__img {
        width: calculateRem(56px);
        height: calculateRem(56px);
        font-size: calculateRem(38px);
      }

      .sb-member__name {
        font-size: calculateRem(18px);
      }

      .selected img {
        width: calculateRem(32px);
      }

      .menu::after {
        font-size: calculateRem(32px);
        width: calculateRem(48px);
        height: calculateRem(48px);
      }
    }
  }

  // percentage circle loader //
  .progress-circle {
    height: calculateRem(36px);
    width: calculateRem(36px);
    position: relative;

    span {
      position: absolute;
      font-size: calculateRem(10px);
      font-weight: bold;
      margin: 0 auto;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }

    &__svg {
      border-radius: 50%;
      height: 100%;
      transform: scaleX(-1) rotate(-90deg);
      width: 100%;
    }

    &__stroke {
      fill: none;
      stroke-width: calculateRem(4px);

      &:nth-child(1) {
        stroke: var(--secondary-200);
      }

      &:nth-child(2) {
        stroke: var(--gray-100);
        stroke-dasharray: 314.1592%;
      }
    }

    &--xs {
      span {
        display: none;
      }
    }

    &--xs {
      height: calculateRem(24px);
      width: calculateRem(24px);

      .progress-circle__stroke {
        stroke-width: calculateRem(4px);
      }
    }

    &--sm {
      height: calculateRem(32px);
      width: calculateRem(32px);

      .progress-circle__stroke {
        stroke-width: calculateRem(8px);
      }
    }

    &--md {
      height: calculateRem(48px);
      width: calculateRem(48px);

      .progress-circle__stroke {
        stroke-width: calculateRem(12px);
      }

      span {
        font-size: calculateRem(10px);
      }
    }

    &--lg {
      height: calculateRem(64px);
      width: calculateRem(64px);

      .progress-circle__stroke {
        stroke-width: calculateRem(16px);
      }

      span {
        font-size: calculateRem(14px);
      }
    }

    &--xl {
      height: calculateRem(72px);
      width: calculateRem(72px);

      .progress-circle__stroke {
        stroke-width: calculateRem(20px);
      }

      span {
        font-size: calculateRem(18px);
      }
    }

    &--xxl {
      height: calculateRem(88px);
      width: calculateRem(88px);

      .progress-circle__stroke {
        stroke-width: calculateRem(24px);
      }

      span {
        font-size: calculateRem(20px);
      }
    }

    @for $i from 0 to 100 {
      &[data-percentage="#{$i}"] {
        .progress-circle__stroke:nth-child(2) {
          stroke-dashoffset: calc(314.1592% * (#{$i} / 100));
        }
      }
    }

    &--success {
      img.icon_progress_check {
        width: 100%;
      }
    }
  }
}
